Subject: bug-report: dual-use patch and delete (was Re: Dual use patch page)

From: Friedrich Lobenstock <[email-masked]>
Date: Sat, 18 May 2002 16:53:05 +0200

Cory Sharp wrote:
> I've created a web page for a slightly updated version of the dual use patch I
> posted about on March 20.  For anyone interested, the page provides more
> information about the patch as well as the patch itself:
> 
>     http://home.pacbell.net/cssharp/dualuse.html
 >
> Brief Description:  This patch hacks support for "dual use" mailboxes over UW
> IMAP 2001a. Dual use allows for standard file-based mailbox formats, such as
> UNIX mail and MBX, to appear to contain both messages and subfolders when
> accessed by an IMAP client.

I suggest when deleting a folder that contains subfolders ("_@dir" style)
that this operation fails when there are folders in the "_@dir" subdir.

Look at this:

. list "" *
* LIST (\NoInferiors) NIL INBOX
. OK LIST completed

. create test
. OK CREATE completed

. list "" *
* LIST () "/" test
* LIST (\NoInferiors) NIL INBOX
. OK LIST completed

. create test/test
. OK CREATE completed

. list "" *
* LIST () "/" test
* LIST () "/" test/test
* LIST (\NoInferiors) NIL INBOX
. OK LIST completed

Up till here everythings ok
# l -R /vhome/fl.priv.at/home/fl2/
/vhome/fl.priv.at/home/fl2/:
total 9
drwx------   3 55003    popusers      136 May 18 16:47 ./
drwxr-xr-x  13 root     root          328 Oct 28  2001 ../
-rw-r--r--   1 55003    popusers        6 Feb 26  2001 .mailboxlist
-rw-------   1 55003    popusers     2048 May 18 16:47 test
drwx------   2 55003    popusers       72 May 18 16:39 test_@dir/

/vhome/fl.priv.at/home/fl2/test_@dir:
total 5
drwx------   2 55003    popusers       72 May 18 16:39 ./
drwx------   3 55003    popusers      136 May 18 16:47 ../
-rw-------   1 55003    popusers     2048 May 18 16:44 test
www.scotty.co.at:~ #

But now we get into troubles:

. delete test
. OK DELETE completed

. list "" *
* LIST (\NoInferiors) NIL INBOX
. OK LIST completed

# l -R /vhome/fl.priv.at/home/fl2/
/vhome/fl.priv.at/home/fl2/:
total 5
drwx------   3 55003    popusers      112 May 18 16:52 ./
drwxr-xr-x  13 root     root          328 Oct 28  2001 ../
-rw-r--r--   1 55003    popusers        6 Feb 26  2001 .mailboxlist
drwx------   2 55003    popusers       72 May 18 16:39 test_@dir/

/vhome/fl.priv.at/home/fl2/test_@dir:
total 5
drwx------   2 55003    popusers       72 May 18 16:39 ./
drwx------   3 55003    popusers      112 May 18 16:52 ../
-rw-------   1 55003    popusers     2048 May 18 16:44 test

Now we don't see the "test/test" folder anymore, but if we know that
it exists it can of course be selected.

. select test/test
* 0 EXISTS
* 0 RECENT
* OK [UIDVALIDITY 1021732758] UID validity status
* OK [UIDNEXT 1] Predicted next UID
* FLAGS (\Answered \Flagged \Deleted \Draft \Seen)
* OK [PERMANENTFLAGS (\* \Answered \Flagged \Deleted \Draft \Seen)] Permanent flags
. OK [READ-WRITE] SELECT completed

PS: Reply-To set to C-Client list, as that seems to be the appropriate
place to discuss everything regarding the UW-imapd.

-- 
MfG / Regards
Friedrich Lobenstock